package com.zd.laboratory.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.zd.common.core.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.zd.common.core.web.domain.BaseEntity;

/**
 * 气瓶和实验室关联对象 lab_qp_subject_relation
 * 
 * @author zd
 * @date 2022-05-17
 */
@ApiModel("气瓶和实验室关联")
public class LabQpSubjectRelation extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    @ApiModelProperty(value = "${comment}")
    private Long id;
    /** 实验室id */
    @Excel(name = "实验室id")
    @ApiModelProperty(value = "实验室id")
    private Long subjectId;
    /** 实验室存放气瓶总数 */
    @Excel(name = "实验室存放气瓶总数")
    @ApiModelProperty(value = "实验室存放气瓶总数")
    private Integer bottleTotal;
    /** 单人存放总数 */
    @Excel(name = "单人存放总数")
    @ApiModelProperty(value = "单人存放总数")
    private Integer bottleUserTotal;
    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setSubjectId(Long subjectId) 
    {
        this.subjectId = subjectId;
    }

    public Long getSubjectId()
    {
        return subjectId;
    }
    public void setBottleTotal(Integer bottleTotal)
    {
        this.bottleTotal = bottleTotal;
    }

    public Integer getBottleTotal()
    {
        return bottleTotal;
    }
    public void setBottleUserTotal(Integer bottleUserTotal)
    {
        this.bottleUserTotal = bottleUserTotal;
    }

    public Integer getBottleUserTotal()
    {
        return bottleUserTotal;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("subjectId", getSubjectId())
            .append("bottleTotal", getBottleTotal())
            .append("bottleUserTotal", getBottleUserTotal())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
